> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x-mart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Actualizar categoría (no se puede enviar productId en body)



## OpenAPI

````yaml espanol/api-reference/openapi.json PUT /admin/product-fiscal-categories/{productId}
openapi: 3.0.1
info:
  title: Api V3 documentación
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.artisn.desarrollo-redbrand.com/api
  - url: https://api.kfc-group.desarrollo-redbrand.com
  - url: https://{apiId}.execute-api.{region}.amazonaws.com/{stage}
    description: API Gateway (PRIVATE; invocación típica vía VPC endpoint).
    variables:
      apiId:
        default: '{api-id}'
        description: ID del API REST desplegado.
      region:
        default: us-east-1
      stage:
        default: dev
        description: Mismo valor que parámetro EnvironmentName del stack.
security:
  - bearerAuth: []
paths:
  /admin/product-fiscal-categories/{productId}:
    put:
      tags:
        - Admin
      summary: Actualizar categoría (no se puede enviar productId en body)
      operationId: updateProductFiscalCategory
      parameters:
        - name: productId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductFiscalCategoryPatch'
      responses:
        '200':
          description: Actualizado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductFiscalCategory'
        '400':
          description: Solicitud inválida
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorMessage'
        '404':
          description: No encontrado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorMessage'
        '500':
          description: Error interno
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorMessage'
components:
  schemas:
    ProductFiscalCategoryPatch:
      type: object
      properties:
        productName:
          type: string
        ncm:
          type: string
        externalProductId:
          type: string
          nullable: true
    ProductFiscalCategory:
      type: object
      properties:
        productId:
          type: string
        productName:
          type: string
        externalProductId:
          type: string
          nullable: true
        ncm:
          type: string
        createdAt:
          type: string
          format: date-time
    ApiErrorMessage:
      type: object
      required:
        - message
      properties:
        message:
          type: string
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````